/* 
 * Copyright (C) 2011-2018 The Regents of the University of California.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef defresult
# error "defresult is not defined"
#endif

// defresult(label, type)

// NB: find-untested-pairs.pl reads this file, so don't mess with the format
defresult( UNKNOWN,            NOT_ENOUGH_INFO )
defresult( FEATUREDIFF,        UNSHARED )
defresult( SWAPPED,            UNSHARED )
defresult( DIFF_TTL,           UNSHARED )
defresult( BITS,               UNSHARED )
//defresult( DIVERGE,          UNSHARED )
defresult( BIG_GAP,            NOT_ENOUGH_INFO )
defresult( BIG_GAP_VSIM,       NOT_ENOUGH_INFO )
defresult( NO_OVERLAP_OOB,     NOT_ENOUGH_INFO )
defresult( OUT_OF_BOUNDS,      UNSHARED )
defresult( IDIST,              UNSHARED )
defresult( EDIST,              UNSHARED )
defresult( BADCLOCK,           NOT_ENOUGH_INFO )
defresult( NO_OVERLAP,         NOT_ENOUGH_INFO )
defresult( NO_OVERLAP_VSIM,    NOT_ENOUGH_INFO )
defresult( POOR_OVERLAP,       NOT_ENOUGH_INFO )
defresult( POOR_OVERLAP_VSIM,  NOT_ENOUGH_INFO )
defresult( VSIM,               NOT_ENOUGH_INFO )
defresult( INCONCLUSIVE,       NOT_ENOUGH_INFO )
defresult( SHARED,             SHARED )

#undef defresult
